/**
 * @file ipc/Client.h
 * @author apio (cloudapio.eu)
 * @brief IPC message definitions for UI messages sent to the client.
 *
 * @copyright Copyright (c) 2023, the Luna authors.
 *
 */

#pragma once
#include <os/IPC.h>

namespace ui
{
    enum ClientMessages : u8
    {
        IPC_ENUM_CLIENT(ui),
        CREATE_WINDOW_RESPONSE_ID,
    };

    struct CreateWindowResponse
    {
        static constexpr u8 id = CREATE_WINDOW_RESPONSE_ID;

        int window;
        IPC_STRING(shm_path);
    };
}
